/// SPDX-License-Identifier: GPL-3.0-or-later
/// SPDX-FileCopyrightText: Copyright © 2016-2021 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

import { N } from './protocol.js';
import * as Box from './box.js';
import * as Client from './client.js';
import { Dataspace } from '@syndicate-lang/core';

console.time('box-and-client-' + N.toString());
boot() {
    thisTurn.activeFacet.preventInertCheck();
    const ds = create new Dataspace();
    Box.boot(thisTurn, ds);
    Client.boot(thisTurn, ds, () => console.timeEnd('box-and-client-' + N.toString()));
}
